# Fn<> DeepestSpec
The deepest spec of a class with nested template arguments.

Defined in | <seqan/basic.h>
Signature | `DeepestSpec<T>::Type;`

## Template Parameters

`T` | Type for which the deepest spec type is determined.

## Return Values

`s` | Type Size type of `T`.

#### Dox Sources

    /*!
     * @mfn DeepestSpec
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief The deepest spec of a class with nested template arguments.
     *
     * @signature DeepestSpec<T>::Type;
     *
     * @tparam T Type for which the deepest spec type is determined.
     *
     * @return s Type Size type of <tt>T</tt>.
     */